=== debian/changelog ===
aubio (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge NMUs (closes: #619802, #553930, #625676), thanks Alessio
  * debian/watch: update
  * debian/copyright: update
  * debian/README.source: removed
  * debian/patches: removed obsolete patches
  * debian/aubio-tools.install: no more sounds
  * debian/aubio-tools.manpages: updated manpages location
  * debian/pycompat: remove obsolete file
  * debian/source/format: bump to 3.0 (quilt)
  * debian/libaubio2.*: moved to libaubio4
  * debian/clean: added
  * debian/libaubio-dev.docs: removed
  * debian/libaubio-dev.install: remove *.la
  * debian/python-aubio.install: move to dist-packages
  * debian/pd-aubio.install: removed
  * debian/docs: add README.md
  * debian/control: remove pd-aubio
  * debian/libaubio-doc.docs: remove obsolete files, update doxygen location
  * debian/compat: bump to 8
  * debian/rules: rewrite (closes: #730150)
  * debian/control: update Build-Depends, bump debhelper and Standards-Version
  * debian/control: remove XS-Python-Version
  * debian/control: add Homepage
  * debian/control: bump to libaubio4, replaces libaubio2
  * debian/control: remove a from start of short description
  * debian/control: use libfftw3-dev (closes: #582735)
  * debian/aubio-tools.install: install tools
  * debian/patches/local_mathjax: use local MathJax.js
  * debian/rules: use current python
  * debian/*.dirs: removed

 -- Paul Brossier <piem@debian.org>  Sun, 29 Dec 2013 14:47:16 -0400

aubio (0.3.2-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace puredata with puredata-dev in the Build-Depends field to fix
    FTBFS (Closes: #625676).

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 10:09:35 +0200

aubio (0.3.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with binutils-gold (Closes: #553930).
  * Conditionally enable ALSA depending on whether building on Linux;
    patch from Steven McDonald (Closes: #619802).
  * Explicitly set packaging format by putting '1.0' into the
    debian/source/format file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 29 Apr 2011 15:32:33 +0200

aubio (0.3.2-4) unstable; urgency=low

  * Fix building of architecture dependent packages
  * Do not compress search.js in libaubio-doc

 -- Paul Brossier <piem@debian.org>  Mon, 28 Sep 2009 13:34:53 +0200

aubio (0.3.2-3) unstable; urgency=low

  * debian/patches/01_numarray_gnuplot.diff: pull patch from bzr rev 690
    (closes: #478438, #512622)
  * debian/control: 
    - split Build-Depends on multiple lines
    - change B-D from puredata to pd (closes: #491965)
    - fix typo python Python
    - switch to python-numpy (see: #478438)
    - move libaubio-dev to libdevel
    - bump Standards-Version to 3.8.3
    - use ${binary:Version}, not ${Source-Version}
    - add ${shlibs:Depends}, ${misc:Depends} to libaubio-dev
    - add Build-Depends on quilt
    - switch to python-support
  * debian/rules: 
    - use tiny model
    - disable lash
    - tighten debhelper Build-Depends to (>= 7.0.50~)
    - move config.{sub,guess} updating to
      debian/patches/10_uptodate_configure.diff
  * debian/libaubio-dev.install: temporarly hack .la files until the
    libtool dependency traverser is being fixed (closes: #465057)
  * debian/aubio-tools.manpages: install all manpages
  * debian/libaubio-doc.doc-base: correct section Programming
  * debian/compat: bump to 7
  * debian/rules: move dh_installdeb before dh_makeshlibs

 -- Paul Brossier <piem@debian.org>  Mon, 28 Sep 2009 03:15:52 +0200

aubio (0.3.2-2) unstable; urgency=low

  * Update debian/copyright
  * Upload to unstable (closes: #383550)

 -- Paul Brossier <piem@debian.org>  Thu,  2 Nov 2006 19:36:41 +0100

aubio (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Tue, 31 Oct 2006 19:38:54 +0100

aubio (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Removed python2.3-aubio, moved to python-central

 -- Paul Brossier <piem@debian.org>  Tue, 27 Jun 2006 17:46:42 +0200

aubio (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Add package for PureData plugins

 -- Paul Brossier <piem@debian.org>  Fri, 19 May 2006 16:07:21 +0200

aubio (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Added -fPIC to swig python module python/aubio/Makefile.am
  * Added manpages for aubiocut, aubiopitch and aubiotrack
  * Splitted python-aubio and libaubio-doc packages

 -- Paul Brossier <piem@debian.org>  Tue, 27 Sep 2005 16:49:09 +0100

aubio (0.1.9beta5-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Sun, 15 May 2005 16:20:03 +0100

aubio (0.1.8-1) unstable; urgency=low

  * New upstream release
  * Added docbook-to-man and puredata Build-Depends

 -- Paul Brossier <piem@altern.org>  Sun, 12 Dec 2004 00:01:32 +0000

aubio (0.1.6-1) unstable; urgency=low

  * New release
  * Added swig and python-dev Build-Depends

 -- Paul Brossier <piem@altern.org>  Sun, 26 Sep 2004 13:48:41 +0100

aubio (0.1.5-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Mon, 23 Aug 2004 21:36:58 +0200

aubio (0.1.4-1) unstable; urgency=low

  * New upstream release
  * Simplifies install scripts

 -- Paul Brossier <piem@altern.org>  Wed, 23 Jun 2004 18:24:55 +0100

aubio (0.1.3alpha-2) unstable; urgency=low

  * Manually added missing headers in libaubio-dev
  * Added manpages for autio tools.
  * Fixed dependancies.

 -- Paul Brossier <piem@altern.org>  Wed,  5 May 2004 12:18:39 +0100

aubio (0.1.3alpha-1) unstable; urgency=low

  * Initial Release.

 -- Paul Brossier <piem@altern.org>  Tue, 27 Apr 2004 15:01:59 +0100
