=== debian/control ===
Source: aubio
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               libtool,
               libjack-dev,
               libavcodec-dev,
               libavformat-dev,
               libavresample-dev,
               libavutil-dev,
               libsndfile1-dev,
               libsamplerate-dev,
               libasound2-dev,
               libfftw3-dev,
               python | python-all | python-dev | python-all-dev,
               libpython2.7-dev,
               python-numpy
Build-Depends-Indep: doxygen,
                     txt2man,
                     libjs-jquery,
                     libjs-mathjax,
Standards-Version: 3.9.5
Homepage: http://aubio.org

Package: libaubio-dev
Section: libdevel
Architecture: any
Depends: libaubio4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package contains the development files for libaubio.

Package: libaubio4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libaubio2
Description: library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the shared library libaubio.

Package: aubio-tools
Section: sound
Architecture: any
Depends: python-aubio (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: library for audio segmentation -- utilities
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides command line tools to run the different algorithms.

Package: libaubio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
Description: library for audio segmentation -- documentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the documentation for the C interface.

Package: python-aubio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-numpy, python-gnuplot
Provides: ${python:Provides}
Replaces: python2.3-aubio 
Conflicts: python2.3-aubio 
XB-Python-Version: ${python:Versions}
Description: python interface for aubio, a library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the Python interface for the current Python version.
