=== debian/watch ===
version=2
http://aubio.org/pub/ aubio-([0-9.]*)\.tar\.bz2
