=== debian/changelog ===
aubio (0.4.1-2build4) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:33:11 +0000

aubio (0.4.1-2build3) utopic; urgency=medium

  * Really rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 18:52:53 +0100

aubio (0.4.1-2build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 18:21:55 +0100

aubio (0.4.1-2build1) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 31 May 2014 21:49:01 -0400

aubio (0.4.1-2) unstable; urgency=medium

  * debian/control: always Build-Depends on txt2man to include manpages in
    binary only builds

 -- Paul Brossier <piem@debian.org>  Tue, 25 Mar 2014 17:25:42 -0300

aubio (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: simplify and update copyright
  * debian/control: add Vcs-Git and Vcs-Browser

 -- Paul Brossier <piem@debian.org>  Wed, 12 Mar 2014 00:27:21 -0300
