=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aubio
 Section: sound
 Priority: optional
-Maintainer: Paul Brossier <piem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                libtool,
                libjack-dev,
@@ -15,13 +16,15 @@
                libfftw3-dev,
                python | python-all | python-dev | python-all-dev,
                libpython2.7-dev,
-               python-numpy
+               python-numpy,
+               txt2man,
 Build-Depends-Indep: doxygen,
-                     txt2man,
                      libjs-jquery,
                      libjs-mathjax,
 Standards-Version: 3.9.5
 Homepage: http://aubio.org
+Vcs-Git: git://git.debian.org/collab-maint/aubio.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/aubio.git;a=summary
 
 Package: libaubio-dev
 Section: libdevel
